Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.mif
Class MIFFile

    java.lang.Object
      org.apache.fop.render.mif.MIFElement
          org.apache.fop.render.mif.MIFFile

public class MIFFile
extends MIFElement

The MIF File. This organises the MIF File and the corresponding elements. The catalog elements are used to setup the resources that are referenced.

Field Summary
`protected MIFElement` | `aFrames`
`protected MIFElement` | `bookComponent`
`protected MIFElement` | `colorCatalog`
`protected MIFElement` | `document`
`protected MIFElement` | `fontCatalog`
`protected MIFElement` | `initialAutoNums`
`protected java.util.List` | `pages`
`protected PGFElement` | `pgfCatalog`
`protected RulingElement` | `rulingCatalog`
`protected MIFElement` | `tblCatalog`
`protected MIFElement` | `tbls`
`protected java.util.List` | `textFlows`
`protected MIFElement` | `variableFormats`
`protected MIFElement` | `views`
`protected MIFElement` | `xRefFormats`

Fields inherited from class org.apache.fop.render.mif.MIFElement
`finish, finished, name, started, valueElements, valueStr`

Constructor Summary
`MIFFile()`

Method Summary
`void` | `addPage(MIFElement p)`
`void` | `output(java.io.OutputStream os)`
`protected void` | `setup()` Do some setup.

Methods inherited from class org.apache.fop.render.mif.MIFElement
`addElement, finish, output, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colorCatalog

    protected MIFElement colorCatalog

### pgfCatalog

    protected PGFElement pgfCatalog

### fontCatalog

    protected MIFElement fontCatalog

### rulingCatalog

    protected RulingElement rulingCatalog

### tblCatalog

    protected MIFElement tblCatalog

### views

    protected MIFElement views

### variableFormats

    protected MIFElement variableFormats

### xRefFormats

    protected MIFElement xRefFormats

### document

    protected MIFElement document

### bookComponent

    protected MIFElement bookComponent

### initialAutoNums

    protected MIFElement initialAutoNums

### aFrames

    protected MIFElement aFrames

### tbls

    protected MIFElement tbls

### pages

    protected java.util.List pages

### textFlows

    protected java.util.List textFlows

Constructor Detail

### MIFFile

    public MIFFile()

Method Detail

### setup

    protected void setup()

  Do some setup. Currently adds some dummy values to the resources.

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### addPage

    public void addPage(MIFElement p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.